﻿using System;
using System.Collections.Generic;

namespace FeatureToggles
{
    public interface IFeatureToggleStore
    {
        /// <summary>
        /// LoadFeatures
        /// </summary>
        /// <returns></returns>
        Dictionary<String, Boolean> LoadFeaturesFromDatabase();

        /// <summary>
        /// SaveFeaturesStore
        /// </summary>
        /// <param name="pFeatures"></param>
        void SaveFeaturesState(Dictionary<String, Boolean> pFeatures);
    }
      
}