﻿// Copyright © Microsoft Corporation.  All Rights Reserved.
// This code released under the terms of the 
// Microsoft Public License (MS-PL, http://opensource.org/licenses/ms-pl.html.)
// This is sample code only, do not use in production environments
//
// Part of Visual Studio ALM Rangers - Willy's Cave Dwelling Journals

// Add MEF namespaces
using System.ComponentModel.Composition;

namespace AdvancedCalculator
{
    [Export(typeof(ICalculationInterface))]
    [ExportMetadata(Constants.litSymbol, Constants.litDivide)]
    class CalculationExtensionDivide : ICalculationInterface
    {
        public decimal Calculation(decimal pValueOne, decimal pValueTwo)
        {
            return pValueOne / pValueTwo;
        }
    }
}
