﻿// Copyright © Microsoft Corporation.  All Rights Reserved.
// This code released under the terms of the 
// Microsoft Public License (MS-PL, http://opensource.org/licenses/ms-pl.html.)
// This is sample code only, do not use in production environments

using System.ComponentModel.Composition;

namespace AdvancedCalculator.MEF
{
    [Export(typeof(ICalculationInterface))]
    [ExportMetadata("Operation", "%")]

    class CalculationPercent : ICalculationInterface
    {
        public decimal Calculation(decimal pStoredValue, decimal pEnteredValue)
        {
            return (pStoredValue * (pEnteredValue / 100.0M));
        }
    }
}
