USE [FeatureToggles]
GO

/****** Object:  Table [dbo].[FeatureToggles]    Script Date: 03/14/2013 16:53:29 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

SET ANSI_PADDING OFF
GO
DROP PROCEDURE [dbo].[LoadFeatureToggles]
GO

DROP PROCEDURE [dbo].[InsertOrUpdateFeatureToggles]
GO

CREATE PROCEDURE [dbo].[LoadFeatureToggles]

AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

	SELECT FeatureToggleName, IsEnabled from FeatureToggles
END

GO

CREATE PROCEDURE [dbo].[InsertOrUpdateFeatureToggles]
	@featureToggleName varchar(255),
	@isEnabled bit	
AS
BEGIN
   SET NOCOUNT ON;

   begin tran
   update FeatureToggles with (serializable) set IsEnabled = @isEnabled 
   where FeatureToggleName=@featureToggleName

   if @@rowcount = 0
   begin
      insert FeatureToggles (FeatureToggleName,IsEnabled) values (@featureToggleName, @isEnabled)
   end
commit tran
END

GO




