﻿// Copyright © Microsoft Corporation.  All Rights Reserved.
// This code released under the terms of the 
// Microsoft Public License (MS-PL, http://opensource.org/licenses/ms-pl.html.)
// This is sample code only, do not use in production environments

using System.ComponentModel.Composition;
using System;

namespace AdvancedCalculator.MEF
{
    [Export(typeof(ICalculationInterface))]
    [ExportMetadata("Operation", "Sqrt")]
   
    
    //[ExportMetadata("Symbol", '+')]
   
    class CalculationSqrt : ICalculationInterface
    {
        public decimal Calculation(decimal pValueOne, decimal pValueTwo)
        {
            return (decimal) Math.Round(Math.Sqrt((Double)pValueTwo),2);
        }
    }
}
