﻿
// Copyright © Microsoft Corporation.  All Rights Reserved.
// This code released under the terms of the 
// Microsoft Public License (MS-PL, http://opensource.org/licenses/ms-pl.html.)
// This is sample code only, do not use in production environments
//
// From Visual Studio ALM Rangers - Willy's Cave Dwelling Journals


namespace AdvancedCalculator.MEF
{
    // Calculation interface
    public interface ICalculationInterface
    {
        decimal Calculation(decimal pValueStored, decimal pValueEntered);
    }
    // Symbol interface
    public interface ICalculationSymbol
    {
        char Symbol { get; }
    }
   public interface ICalculationOperation
    {
        string Operation { get; }
    }
}

