USE [master]
GO

/****** Object:  Database [FeatureToggles]    Script Date: 1/12/2014 5:44:38 PM ******/
DROP DATABASE [FeatureToggles]
GO

/****** Object:  Database [FeatureToggles]    Script Date: 1/12/2014 5:44:38 PM ******/
CREATE DATABASE [FeatureToggles]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'FeatureFlagsDemo', 
         FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL11.MSSQLSERVER\MSSQL\DATA\FeatureFlagsDemo.mdf' , 
		 SIZE = 4096KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'FeatureFlagsDemo_log', 
         FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL11.MSSQLSERVER\MSSQL\DATA\FeatureFlagsDemo_log.ldf' ,
		 SIZE = 1024KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

ALTER DATABASE [FeatureToggles] SET COMPATIBILITY_LEVEL = 110
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [FeatureToggles].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [FeatureToggles] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [FeatureToggles] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [FeatureToggles] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [FeatureToggles] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [FeatureToggles] SET ARITHABORT OFF 
GO

ALTER DATABASE [FeatureToggles] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [FeatureToggles] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [FeatureToggles] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [FeatureToggles] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [FeatureToggles] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [FeatureToggles] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [FeatureToggles] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [FeatureToggles] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [FeatureToggles] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [FeatureToggles] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [FeatureToggles] SET  DISABLE_BROKER 
GO

ALTER DATABASE [FeatureToggles] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [FeatureToggles] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [FeatureToggles] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [FeatureToggles] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [FeatureToggles] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [FeatureToggles] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [FeatureToggles] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [FeatureToggles] SET RECOVERY FULL 
GO

ALTER DATABASE [FeatureToggles] SET  MULTI_USER 
GO

ALTER DATABASE [FeatureToggles] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [FeatureToggles] SET DB_CHAINING OFF 
GO

ALTER DATABASE [FeatureToggles] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO

ALTER DATABASE [FeatureToggles] SET TARGET_RECOVERY_TIME = 0 SECONDS 
GO

ALTER DATABASE [FeatureToggles] SET  READ_WRITE 
GO

